/**
 * #### Атрибут ноды
 *
 * @group manager
 * @class Attribute
 * @memberof Trees.GlobalAttributeTree.Node.Attributes
 */
function Attribute() {
    /**
     * Возвращает имя атрибута
     *
     * @public
     * @function name
     * @returns {v2.string}
     * @memberof Trees.GlobalAttributeTree.Node.Attributes.Attribute
     */
    this.name = function() {

    };

    /**
     * Возвращает значение атрибута
     *
     * @public
     * @function value
     * @returns {v2}
     * @memberof Trees.GlobalAttributeTree.Node.Attributes.Attribute
     */
    this.value = function() {

    };

    /**
     * Возвращает тип атрибута
     *
     * @public
     * @function type
     * @returns {v2.type}
     * @memberof Trees.GlobalAttributeTree.Node.Attributes.Attribute
     */
    this.type = function() {

    };

    /**
     * Возвращает значение о том, является ли атрибут редактируемым
     *
     * @public
     * @function editable
     * @returns {v2.boolean}
     * @memberof Trees.GlobalAttributeTree.Node.Attributes.Attribute
     */
    this.editable = function() {

    };

    /**
     * Возвращает значение о том, может ли данный атрибут быть удален
     *
     * @public
     * @function removable
     * @returns {v2.boolean}
     * @memberof Trees.GlobalAttributeTree.Node.Attributes.Attribute
     */
    this.removable = function() {

    };

    /**
     * Возвращает значение о том, может ли данный атрибут быть отображен
     *
     * @public
     * @function visible
     * @returns {v2.boolean}
     * @memberof Trees.GlobalAttributeTree.Node.Attributes.Attribute
     */
    this.visible = function() {

    };

    /**
     * **Небезопасный метод**
     *
     * Возвращет значение по указанному атрибуту
     *
     * @public
     * @function parameter
     * @param {string} _name
     * @returns {v2}
     * @memberof Trees.GlobalAttributeTree.Node.Attributes.Attribute
     */
    this.parameter = function(_name) {

    };

    /**
     * Производит обновление атритбута
     *
     * @public
     * @function update
     * @param {v2} _value
     * @memberof Trees.GlobalAttributeTree.Node.Attributes.Attribute
     */
    this.update = function(_value) {

    };

}